<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<h:dataTable value="#{activityListController.myActivities}" var="act"
		border="1" cellpadding="2" cellspacing="0">>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.activity_code}" />
			</f:facet>
			<h:outputLabel value="#{act.code}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.description}" />
			</f:facet>
			<h:outputLabel value="#{act.description}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.estimated_duration}" />
			</f:facet>
			<h:outputLabel value="#{act.estimatedDuration}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.status}" />
			</f:facet>
			<h:outputLabel value="#{strings[act.status]}" />
		</h:column>
		<h:column>
			<h:form>
				<h:commandButton value="#{strings.begin}"
					action="#{activityWorkflowController.begin}"
					rendered="#{act.status.canBegin}">
					<f:setPropertyActionListener
						target="#{activityWorkflowController.activity}" value="#{act}" />
				</h:commandButton>

				<h:panelGroup id="finish_cancel_buttons"
					rendered="#{act.status.canFinishOrCancel}">
					<h:commandButton value="#{strings.finish}"
						action="#{activityWorkflowController.finish}">
						<f:setPropertyActionListener
							target="#{activityWorkflowController.activity}" value="#{act}" />
					</h:commandButton>

					<h:commandButton value="#{strings.cancel}"
						action="#{activityWorkflowController.cancel}">
						<f:setPropertyActionListener
							target="#{activityWorkflowController.activity}" value="#{act}" />
					</h:commandButton>
				</h:panelGroup>
			</h:form>
		</h:column>
	</h:dataTable>
</ui:composition>